Bug 249368

Summary: x11/plasma5-plasma-desktop: Inconsistent cursor theme
Product: Ports & Packages Reporter: Alexander Vereeken <Alexander88207>
Component: Individual Port(s)Assignee: freebsd-kde (Team) <kde>
Status: Closed FIXED    
Severity: Affects Only Me CC: adridg, arrowd, kde, sv, tcberner
Priority: --- Flags: tcberner: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to add x11/xrdb as rundep
none
Patch to add xrdb as run dep for plasma5-plasma-workspace tcberner: maintainer-approval+

Description Alexander Vereeken 2020-09-16 10:46:20 UTC
Moin :)

sometimes it happens after a new installation from latest packages that the KDE cursor settings are not completely taken over. For example: on desktop where the wallpaper is, i have the x11 default cursor while i have in the startmenu the KDE cursor that i have set from the KDE settings.

I have created now a /usr/local/share/icons/default/index.theme to fix the problem but i think it should be reported anyway?

- As always many thanks in advance and for the work that is done here.
Comment 1 Gleb Popov freebsd_committer 2021-01-04 12:21:06 UTC
How do you start Plasma? Using "startx" or some login manager?
Comment 2 Alexander Vereeken 2021-01-04 14:20:32 UTC
I use the login manager sddm.
Comment 3 Gleb Popov freebsd_committer 2021-01-04 15:40:19 UTC
Can you please disable it and do the following:

echo "exec ck-launch-session startplasma-x11" >> ~/.xinitrc
startx

When Plasma is started, check if the problem goes away.
Comment 4 Alexander Vereeken 2021-01-31 20:50:10 UTC
The problem still remains by starting the session with startx.
Comment 5 Gleb Popov freebsd_committer 2021-02-01 06:54:50 UTC
(In reply to Alexander Vereeken from comment #4)
Ok, another thing to try - create a new user and start plasma under it. Does the problem persist?
Comment 6 Adriaan de Groot freebsd_committer 2021-04-23 22:05:36 UTC
This sounds like a very specific configuration issue: have you (Alexander) set a special cursor theme for Plasma? What's in the index.theme that you have created? This is a PR that would benefit from some screenshots (with mouse cursor included and BIG RED ARROWS pointing to the problem).
Comment 7 Alexander Vereeken 2021-04-23 22:45:35 UTC
Hello,

no problem:

Default settings with just selecting the cursor theme from plasma-systemsettings: https://s16.directupload.net/images/210424/evegqq4l.gif

When i have created an /usr/local/share/icons/default/index.theme with 
[icon theme] 
Inherits=Neutral++_White: https://s16.directupload.net/images/210424/ypbd34uu.gif
Comment 8 Adriaan de Groot freebsd_committer 2021-05-24 11:12:48 UTC
I can reproduce something **similar** as follows:

- log into KDE Plasma
- systemsettings >> global theme >> cursors (e.g. alt-f2, "cursors")
- pick a different style and size, like "Oxygen Blue 48"
- click apply
- notice that the cursor is now oxygen blue 48 (e.g. BIG BLUE ARROWS) when over KDE applications
- while over the background, or over an X application (e.g. xterm), it's still the old cursor
- logout, login: now it's consistent
Comment 9 Alexander Vereeken 2021-08-25 18:35:53 UTC
I have found out the problem:

I do use the package x11/plasma5-plasma-desktop to install the KDE desktop and the package x11/xrdb is missing as rundep for cursor changes.
Comment 10 Alexander Vereeken 2021-08-25 18:40:10 UTC
Created attachment 227433 [details]
Patch to add x11/xrdb as rundep
Comment 12 Alexander Vereeken 2021-08-26 04:43:09 UTC
Created attachment 227438 [details]
Patch to add xrdb as run dep for plasma5-plasma-workspace

(In reply to Tobias C. Berner from comment #11)

Sure.
Comment 13 Tobias C. Berner freebsd_committer 2021-08-26 05:16:59 UTC
Comment on attachment 227438 [details]
Patch to add xrdb as run dep for plasma5-plasma-workspace

lgtm including a PORTREVISION bump.
Comment 14 commit-hook freebsd_committer 2021-08-26 11:42:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=687e5a5899f4a75358e10c1e1ca09e127869041b

commit 687e5a5899f4a75358e10c1e1ca09e127869041b
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-08-26 11:32:00 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-26 11:41:32 +0000

    x11/plasma5-plasma-workspace: add missing dependency on x11/xrdb

    This should fix inconsitencies in the mouse cursor theme in the desktop.

    PR:             249368

 x11/plasma5-plasma-workspace/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 15 Tobias C. Berner freebsd_committer 2021-08-26 11:43:28 UTC
Committed. Thanks.
Comment 16 commit-hook freebsd_committer 2021-08-26 11:44:01 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=99011435d24e23da9429dddfe77a6bf4df843783

commit 99011435d24e23da9429dddfe77a6bf4df843783
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-08-26 11:32:00 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-26 11:42:31 +0000

    x11/plasma5-plasma-workspace: add missing dependency on x11/xrdb

    This should fix inconsitencies in the mouse cursor theme in the desktop.

    PR:             249368
    (cherry picked from commit 687e5a5899f4a75358e10c1e1ca09e127869041b)

 x11/plasma5-plasma-workspace/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)